local wipeking = require("wipeking");

--返回数据具体格式参考 接口文档
---7001-一键清理---
local resultTable = wipeking.cleanDevice();
if (resultTable["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable["Data"]["ConfigDir"]); 	 
elseif (resultTable["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable["Data"]["ConfigDir"]);
elseif (resultTable["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable["Message"]);
	toast("失败，失败原因如下"..resultTable["Message"]);
end

---7002-一键还原---
--local configDir = "/sdcard/yztc/studioplugin/wipeking/env/xxx";
local resultTable2 = wipeking.envRestore(configDir)
if (resultTable2["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable2["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable2["Data"]["ConfigDir"]); 	 
elseif (resultTable2["RespCode"]=="1") then
    print ("成功，但有警告信息,ConfigDir:"..resultTable2["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable2["Data"]["ConfigDir"]);
elseif (resultTable2["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable2["Message"]);
	toast("失败，失败原因如下"..resultTable2["Message"]);
end

---7003-一键备份环境数据---
 local resultTable3 = wipeking.backupDevice();
if (resultTable3["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable3["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable3["Data"]["ConfigDir"]); 	 
elseif (resultTable3["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable3["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable3["Data"]["ConfigDir"]);
elseif (resultTable3["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable3["Message"]);
	toast("失败，失败原因如下"..resultTable3["Message"]);
end

---7004-一键还原上个环境---
local resultTable4 = wipeking.upRestore();
if (resultTable4["RespCode"]=="0") then 
    print ("还原成功"); 	 
	toast ("还原成功"); 	 
elseif (resultTable4["RespCode"]=="1")  then
    print ("还原成功，但有警告信息"..resultTable4["Message"]);
	toast ("还原成功，但有警告信息"..resultTable4["Message"]);
elseif (resultTable4["RespCode"]=="-1")  then
    print("还原失败，失败原因如下"..resultTable4["Message"]);
	toast("还原失败，失败原因如下"..resultTable4["Message"]);
end

---7005-一键还原下个环境---
local resultTable5 = wipeking.downRestore();
if (resultTable5["RespCode"]=="0") then 
    print ("还原成功"); 	 
	toast ("还原成功"); 	  	 
elseif (resultTable5["RespCode"]=="1")  then
    print ("还原成功，但有警告信息"..resultTable5["Message"]);
	toast ("还原成功，但有警告信息"..resultTable5["Message"]);
elseif (resultTable5["RespCode"]=="-1")  then
    print("还原失败，失败原因如下"..resultTable5["Message"]);
	toast("还原失败，失败原因如下"..resultTable5["Message"]);
end

---7006-一键还原至第一个（最上面的）环境：0/或最后一个（最下面的）环境：1---
local resultTable23 = wipeking.TopRestore(1);
if (resultTable23["RespCode"]=="0") then 
    print ("还原成功,ConfigDir:"..resultTable23["Data"]["ConfigDir"]);  	 
	toast ("还原成功,ConfigDir:"..resultTable23["Data"]["ConfigDir"]); 	  	 
elseif (resultTable23["RespCode"]=="1")  then
    print ("还原成功，但有警告信息"..resultTable23["Message"]);
	toast ("还原成功，但有警告信息"..resultTable23["Message"]);
elseif (resultTable23["RespCode"]=="-1")  then
    print("还原失败，失败原因如下"..resultTable23["Message"]);
	toast("还原失败，失败原因如下"..resultTable23["Message"]);
end

---7012-获取当前环境路径---
local resultTable6 = wipeking.pathQuery();
if (resultTable6["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable6["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable6["Data"]["ConfigDir"]); 	 
elseif (resultTable6["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable6["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable6["Data"]["ConfigDir"]);
elseif (resultTable6["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable6["Message"]);
	toast("失败，失败原因如下"..resultTable6["Message"]);
end

---7013-当前备份环境记录查询---
--local configName = "name001"
local resultTable7 = wipeking.recordQuery(configName);
if (resultTable7["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable7["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable7["Data"]["ConfigDir"]); 	 
elseif (resultTable7["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable7["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable7["Data"]["ConfigDir"]);
elseif (resultTable7["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable7["Message"]);
	toast("失败，失败原因如下"..resultTable7["Message"]);
end

---7014-修改环境名称---
--local configName = "name001"
--local updateConfigName = "name1001"
local resultTable8 = wipeking.setNeedname(configName,updateConfigName);
if (resultTable8["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable8["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable8["Data"]["ConfigDir"]); 	 
elseif (resultTable8["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable8["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable8["Data"]["ConfigDir"]);
elseif (resultTable8["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable8["Message"]);
	toast("失败，失败原因如下"..resultTable8["Message"]);
end

---7015-删除环境---
--local configDirs = "/sdcard/yztc/studioplugin/wipeking/env/xxx";
local resultTable9 = wipeking.delConfig(configDirs);
if (resultTable9["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable9["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable9["Data"]["ConfigDir"]); 	 
elseif (resultTable9["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable9["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable9["Data"]["ConfigDir"]);
elseif (resultTable9["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable9["Message"]);
	toast("失败，失败原因如下"..resultTable9["Message"]);
end

---7016-清理无备份的环境---
--local lastSevenDay = "1";
local resultTable10 = wipeking.ClearRecord(lastSevenDay);
if (resultTable10["RespCode"]=="0") then 
    print ("清理完成"; 	 
	toast ("清理完成"; 	 
elseif (resultTable10["RespCode"]=="1")  then
    print ("清理完成，但有警告信息,:"..resultTable10["Message"]);
	toast ("清理完成，但有警告信息,:"..resultTable10["Message"]);
elseif (resultTable10["RespCode"]=="-1")  then
    print("清理失败，失败原因如下"..resultTable10["Message"]);
	toast("清理失败，失败原因如下"..resultTable10["Message"]);
end

---8.0.7版新增---
---7017-查看当前环境设备信息---
local resultTable11 = wipeking.currentRecordQuery();
if (resultTable11["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable11["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable11["Data"]["ConfigDir"]); 	 
elseif (resultTable11["RespCode"]=="1")  then
    print ("成功，但有警告信息,Message:"..resultTable11["Data"]["Message"]);
	toast ("成功，但有警告信息,Message:"..resultTable11["Data"]["Message"]);
elseif (resultTable11["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable11["Message"]);
	toast("失败，失败原因如下"..resultTable11["Message"]);
end

---8.0.7版新增---
---7018-删除当前环境---
local resultTable12 = wipeking.delCurrentRecord();
if (resultTable12["RespCode"]=="0") then 
    print ("删除成功"); 	 
	toast ("删除成功"); 	 
elseif (resultTable12["RespCode"]=="1")  then
    print ("删除成功，但有警告信息,Message:"..resultTable12["Data"]["Message"]);
	toast ("删除成功，但有警告信息,Message:"..resultTable12["Data"]["Message"]);
elseif (resultTable12["RespCode"]=="-1")  then
    print("删除失败，失败原因如下"..resultTable12["Message"]);
	toast("删除失败，失败原因如下"..resultTable12["Message"]);
end

---8.0.7版新增---
---7019-修改当前环境名---
local resultTable13 = wipeking.setCurrentRecord(updateConfigName);
if (resultTable13["RespCode"]=="0") then 
    print ("修改成功,ConfigDir:"..resultTable13["Data"]["ConfigDir"]); 	 
	toast ("修改成功,ConfigDir:"..resultTable13["Data"]["ConfigDir"]); 	 
elseif (resultTable13["RespCode"]=="1")  then
    print ("修改成功，但有警告信息,Message:"..resultTable13["Data"]["Message"]);
	toast ("修改成功，但有警告信息,Message:"..resultTable13["Data"]["Message"]);
elseif (resultTable13["RespCode"]=="-1")  then
    print("修改成功失败，失败原因如下"..resultTable13["Message"]);
	toast("修改成功失败，失败原因如下"..resultTable13["Message"]);
end	toast ("清理完成，但有警告信息,:"..resultTable13["Message"]);
elseif (resultTable13["RespCode"]=="-1")  then
    print("修改失败，失败原因如下"..resultTable13["Message"]);
	toast("修改失败，失败原因如下"..resultTable13["Message"]);
end

---7021-环境备份名设置---
--local configName = "mjw001"
local resultTable14 = wipeking.setEnvBackupConfigName(configName)
if (resultTable14["RespCode"]=="0") then 
    print ("成功,ConfigDir:"..resultTable14["Data"]["ConfigDir"]); 	 
	toast ("成功,ConfigDir:"..resultTable14["Data"]["ConfigDir"]); 	 
elseif (resultTable14["RespCode"]=="1")  then
    print ("成功，但有警告信息,ConfigDir:"..resultTable14["Data"]["ConfigDir"]);
	toast ("成功，但有警告信息,ConfigDir:"..resultTable14["Data"]["ConfigDir"]);
elseif (resultTable14["RespCode"]=="-1")  then
    print("失败，失败原因如下"..resultTable14["Message"]);
	toast("失败，失败原因如下"..resultTable14["Message"]);
end

---7022-添加需清理的应用------增加应用为"add",替换应用为"replace"
--local pkgName = "com.android.browerse"
--local type = "add"
local resultTable15 = wipeking.setNeedWipeApp(pkgName,type)
if (resultTable15["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable15["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable15["Message"]);
	toast("失败，失败原因如下"..resultTable15["Message"]);
end

---设置自定义IMEI-7024------
--local mode = "1"     0：跟随系统随机    1：用户自定义
--local imei = "xxxxxxxxxxxxxxx,sssssssssssssss"
--local addType = "append"    插入为"append",  替换为"replace"
local resultTable16 = wipeking.setCustomImei(mode,imei,addType)
if (resultTable16["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable16["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable16["Message"]);
	toast("失败，失败原因如下"..resultTable16["Message"]);
end

---运行沙盒内应用-7031-----
--local pkgName = "com.android.browerse"
local resultTable17 = wipeking.RunWipeApp(pkgName)
if (resultTable17["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable17["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable17["Message"]);
	toast("失败，失败原因如下"..resultTable17["Message"]);
end

---退出模拟器安全模式-7032-----
local resultTable18 = wipeking.setQuitSafeMode()
if (resultTable18["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable18["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable18["Message"]);
	toast("失败，失败原因如下"..resultTable18["Message"]);
end


---压缩文件-5005-----
--local filePath = "/sdcard/test"    支持文件或目录
--local zipPath = "/sdcard/yztc/test.zip"
local resultTable19 = wipeking.ZipFile(filePath,zipPath)
if (resultTable19["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable19["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable19["Message"]);
	toast("失败，失败原因如下"..resultTable19["Message"]);
end

---解压文件-5006-----
--local zipPath = "/sdcard/yztc/test.zip"
--local unZipPath = "/sdcard/test"    支持文件或目录
local resultTable20 = wipeking.UnzipFile(zipPath,unZipPath)
if (resultTable20["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable20["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable20["Message"]);
	toast("失败，失败原因如下"..resultTable20["Message"]);
end

---上传ftp文件-5007-----
--local ftpIp = "192.168.0.1"
--local ftpPort = "21"
--local account = "ftpuser"
--local password = "ftppwd"
--local localPath = "/sdcard/ldsdk"      支持目录或文件
--local ftpPath = "/yztc/ldsdk"
local resultTable21 = wipeking.FtpFile(ftpIp,ftpPort,account,password,localPath,ftpPath)
if (resultTable21["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable21["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable21["Message"]);
	toast("失败，失败原因如下"..resultTable21["Message"]);
end

---下载ftp文件-5008-----
--local ftpIp = "192.168.0.1"
--local ftpPort = "21"
--local account = "ftpuser"
--local password = "ftppwd"
--local ftpPath = "/yztc/ldsdk"
--local localPath = "/sdcard/ldsdk"  
local resultTable22 = wipeking.DownFile(ftpIp,ftpPort,account,password,ftpPath,localPath)
if (resultTable22["RespCode"]=="0") then 
    print("成功,"); 	 
	toast("成功,"); 	 
elseif (resultTable22["RespCode"]=="-1") then
    print("失败，失败原因如下"..resultTable22["Message"]);
	toast("失败，失败原因如下"..resultTable22["Message"]);
end

------------------------------

------------------------------